Bug 1806508 - A package reported in 'gdb' output as missing, is not found by DNF
Summary: A package reported in 'gdb' output as missing, is not found by DNF
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: wifi-radar
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luis Segundo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-24 12:07 UTC by ricky.tigg
Modified: 2020-11-25 09:20 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-25 09:20:20 UTC
Type: Bug


Attachments (Terms of Use)
DNF logs file (476.28 KB, text/plain)
2020-02-24 12:07 UTC, ricky.tigg
no flags Details

Description ricky.tigg 2020-02-24 12:07:14 UTC
Created attachment 1665383 [details]
DNF logs file

Description of problem: a package reported in 'gdb' output as missing, is not found by DNF

Version-Release number of component: dnf.noarch 4.2.18-1.fc31

How reproducible:

$ sudo dnf -y --refresh debuginfo-install wifi-radar-2.0.s10-11.fc31.noarch
enabling fedora-modular-debuginfo repository
enabling updates-modular-debuginfo repository
enabling updates-debuginfo repository
enabling fedora-debuginfo repository
Fedora Modular 31 - x86_64                                                      54 kB/s |  23 kB     00:00    
Fedora Modular 31 - x86_64 - Debug                                              16 kB/s |  21 kB     00:01    
Fedora Modular 31 - x86_64 - Updates                                            70 kB/s |  22 kB     00:00    
Fedora Modular 31 - x86_64 - Updates - Debug                                    15 kB/s |  19 kB     00:01    
Fedora 31 - x86_64 - Updates                                                    16 kB/s |  21 kB     00:01    
Fedora 31 - x86_64 - Updates - Debug                                            23 kB/s |  18 kB     00:00    
Fedora 31 - x86_64                                                              28 kB/s |  24 kB     00:00    
Fedora 31 - x86_64 - Debug                                                      64 kB/s |  21 kB     00:00    
Could not find debuginfo package for the following installed packages: wifi-radar-2.0.s10-11.fc31.noarch
Could not find debugsource package for the following installed packages: wifi-radar-2.0.s10-11.fc31.noarch
Dependencies resolved.
Nothing to do

Actual results: queried package is unavailable probably from Debug-named repository.

Additional info:

$ gdb -q wifi-radar
Reading symbols from wifi-radar...
Reading symbols from .gnu_debugdata for /usr/bin/consolehelper...
(No debugging symbols found in .gnu_debugdata for /usr/bin/consolehelper)
Missing separate debuginfos, use: dnf debuginfo-install wifi-radar-2.0.s10-11.fc31.noarch

Comment 1 Pavla Kratochvilova 2020-02-25 09:23:39 UTC
There is no debuginfo nor debugsource package for wifi-radar in the Fedora repositories, so there is nothing dnf can do about this. Reassigning to wifi-radar to provide the packages.

Comment 2 Ben Cotton 2020-08-11 13:09:33 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.

Comment 3 Peter Robinson 2020-11-25 09:20:20 UTC
Package retired, dead upstream, not updated for python3, new network interface APIs


Note You need to log in before you can comment on or make changes to this bug.